clear all
close all
%main file
global dx Bo grav
%%%%%%mesh%%%%%%%%
L=2*pi;%strrelsen p domenet
n=400+1;%gridpunkt
dx=L/(n-1);%gridstrrelse
x=-L/2:dx:L/2;%x-koordinat
grav=-1.0;%retningen p gravitasjonskraften
%%%%%%%%%%%%%%%

%%%%parameters%%%%
%%%%%%%%%%%%%%%%%%%
Bo=2.5;%Bond tall
ki=1;%blgetallet til forstyrrelsen/perturbasjonen
%%%%%%%%%%%%%%%%%%
h0=1+0.005*sin(ki*x);

figure(1919)
set(gca,'Fontname','Times New Roman','FontSize',30)
plot(x,h0,'LineWidth',3)
xlabel('X')
ylabel('H_0(X,T=0)')
title('Initial condition')

q=sum(h0)*dx;
options = odeset('RelTol',1e-8,'AbsTol',1e-8,'InitialStep', 1.0e-4);
[t,H] = ode15s(@currentrhs,[0 600],h0,options);
%tids integrator + numerisk diskretisering av ligningen 
%t=tid, H=H(X,t)=overflaten   

    for i=2:length(H(:,1))
        set(gca,'Fontname','Times New Roman','FontSize',30)
        plot(x,H(i,:),'LineWidth',3)
        xlabel('X')
        ylabel('H(X,T)')
      %  axis([-3*pi 3*pi 0 0.2])
        pause(0.01)
    end